    /*
     *  call-seq:
     *     bv.next -> bit_num
     *
     *  Returns the next set bit in the bit vector scanning from low order to high
     *  order. You should call +#reset_scan+ before calling this method
     *  if you want to scan from the beginning. It is automatically reset when you
     *  first create the bit vector.
     */
    VALUE
    frb_bv_next(VALUE self)
    {
        BitVector *bv;
        GET_BV(bv, self);
        return INT2FIX(bv_scan_next(bv));
    }